Subject: [PATCH v2 7/7] ARM: OMAP2+: Mark omap_hsmmc_init and omap_mux related functions as __init

From: [email-masked] (Tony Lindgren)
Date: Tue, 20 Mar 2012 15:17:02 -0700

* Tomi Valkeinen <[email-masked]> [120320 00:41]:
> On Mon, 2012-03-19 at 11:09 -0700, Tony Lindgren wrote:
> 
> > I've updated your patch a bit for the comments a bit and marked
> > omap4_hdmi_mux_pads as __init, will apply to fixes. Updated patch
> > below.
> 
> Hmm, is there something funny with these init changes now...
> 
> Initially the situation was that there were no __inits in display.c's
> mux functions. Then "Mark omap_hsmmc_init..." patch added __inits to all
> of them. My patch removed the __inits from dsi functions, but left them
> to hdmi functions.
> 
> But now you modified my patch to add the __inits to hdmi functions.
> Which should already have them from the "Mark omap_hsmmc_init..." patch.

Looks like the original patch missed making omap4_hdmi_mux_pads __init
though. I'm just changing omap4_hdmi_mux_pads to make it __init like
it should be.

Regards,

Tony